Name: proxy-suite
Version: 1.9.2.4
Release: alt2

Summary: SUSE Proxy-Suite, a set of programs to enhance firewall security.The first (and currently only) component being released is the FTP-Proxy.
License: GPL
Group: System/Servers

Url: http://www.suse.com/en/whitepapers/proxy_suite/
Source: ftp://ftp.suse.com/pub/projects/proxy-suite/src/%name-%version.tar.bz2
Source1: ftp-proxy.xinetd
Patch0: proxy-suite-alt-ldap-auth-w-grp.patch
Patch1: proxy-suite-1.9.2.2-alt-chroot-no-devnull.patch
Packager: Eugene Ostapets <eostapets@altlinux.ru>

# Automatically added by buildreq on Sun Aug 21 2005
BuildRequires: ghostscript-utils hostinfo libwrap-devel

BuildRequires: libwrap-devel

%if_with ldap
BuildRequires: libldap-devel
%endif

%if_with openssl
BuildRequires: libopenssl-devel
%endif

%description
FTP-Proxy
 - Securely relays FTP connections between clients and servers
 - Can switch connections from active to passive and vice versa
 - Utilizes port ranges for both control and data connections
 - Provides extensive auditing (via syslog or rotating log files)
 - Can separate user related from system triggered audit events
 - Provides command restriction based on logged in user name
 - Allows command argument checking with regular expressions
 - Is able to retrieve configuration data from an LDAP directory
 - Has been thoroughly tested against buffer overflow attacks
 - Based on GNU autoconf, supposed to run on many Unix-like systems
 - Fully conforms to RFC 959 and 1123 (the basic FTP RFCs)
 - Supports Linux iptables and BSD ipf/ipnat transparent proxying.

%prep
%setup -q

%patch0 -p1 
%patch1 -p1

%build
%configure  \
	--disable-debug \
	--disable-static \
	--enable-regex \
%if_with ldap
	--enable-ldap \
%endif
%if_with openssl
	--enable-ssl \
%endif
	--with-libwrap 

%make_build

%install
INST_ROOT=%buildroot docdir=%_docdir/%name-%version make install install.doc
%__install -pD -m640 %SOURCE1 %buildroot%_sysconfdir/xinetd.d/ftp-proxy

%files
%_sbindir/*
%_mandir/man*/*
%config(noreplace) %_sysconfdir/%name/ftp-proxy.conf
%attr(700,root,root) %dir %_sysconfdir/%name
%doc %_docdir/%name-%version/*
%config(noreplace) %_sysconfdir/xinetd.d/ftp-proxy

%changelog
* Sun Aug 21 2005 Eugene Ostapets <eostapets@altlinux.ru> 1.9.2.4-alt2
- add patches (thanks to Alex Gorbachenko  agent_007 at immo dot ru):
    + chroot no /dev/null
    + ldap auth

* Wed Jun 22 2005 Eugene Ostapets <eostapets@altlinux.ru> 1.9.2.4-alt1
- add config for xinetd
- add support for build --with ldap and --with openssl
* Wed Jun 22 2005 Eugene Ostapets <eostapets@altlinux.ru> 1.9.2.4-alt0.1
- first build for ALT Linux
